/*!
 * ThemifyGradient
 * Enhanced version of ClassyGradient, with RGBA support
 *
 * Original script written by Marius Stanciu - Sergiu <marius@vox.space>
 * Licensed under the MIT license https://vox.SPACE/LICENSE-MIT
 * Version 1.1.1
 *
 */
(function(a){a.ThemifyGradient=function(f,p){var e={gradient:"0% rgba(0,0,0, 1)|100% rgba(255,255,255,1)",width:200,height:15,point:8,angle:180,circle:false,type:"linear",onChange:function(){},onInit:function(){}};var m=a(f),d,j,i,g;var o,c,k,h,b,n;var l=new Array();this.settings={};this.__constructor=function(){this.settings=a.extend({},e,p);this.update();this.settings.onInit();return this};this.update=function(){this._setupPoints();this._setup();this._render()};this.getCSS=function(){var r=this.getCSSvalue();var q="background-image: -moz-"+r+";\n";q+="background-image: -webkit-"+r+";\n";q+="background-image: -o-"+r+";\n";q+="background-image: -ms-"+r+";\n";q+="background-image: "+r+";\n";return q};this.getCSSvalue=function(){var q=this.settings.angle+"deg,";if(this.settings.type==="radial"){q=this.settings.circle?"circle,":""}var r=[];a.each(l,function(s,t){r.push(t[1]+" "+t[0])});return this.settings.type+"-gradient("+q+r.join(", ")+")"};this.getArray=function(){return l};this.getString=function(){var q="";a.each(l,function(r,s){q+=s[0]+" "+s[1]+"|"});q=q.substr(0,q.length-1);return q};this.setType=function(q){this.settings.type=q;this.settings.onChange(this.getString(),this.getCSS(),this.getArray())};this.setAngle=function(q){this.settings.angle=q;this.settings.onChange(this.getString(),this.getCSS(),this.getArray())};this.setRadialCircle=function(q){this.settings.circle=q;this.settings.onChange(this.getString(),this.getCSS(),this.getArray())};this._setupPoints=function(){l=new Array();if(a.isArray(this.settings.gradient)){l=this.settings.gradient}else{l=this._getGradientFromString(this.settings.gradient)}};this._setup=function(){var q=this;m.empty();d=a('<div class="ThemifyGradient"></div>');j=a('<canvas class="canvas" width="'+this.settings.width+'" height="'+this.settings.height+'"></canvas>');d.append(j);b=j.get(0).getContext("2d");i=a('<div class="points"></div>');i.css("width",(this.settings.width)+Math.round(this.settings.point/2+1)+"px");d.append(i);g=a('<div class="gradient-pointer-info"></div>');g.append('<div class="gradient-pointer-arrow"></div>');d.append(g);o=a('<div class="content"></div>');g.append(o);m.hover(function(){m.addClass("hover")},function(){m.removeClass("hover")});c=a('<div class="point-color"><div style="background-color: #00ff00"></div></div>');k=a('<input type="text" class="point-position"/>');h=a('<a href="#" class="gradient-point-delete"><i class="ti ti-close"></i></a>');o.append(c,'<span class="gradient_delimiter"></span>',k,'<span class="gradient_percent">%</span>',h);m.append(d);a(document).bind("click",function(){if(!m.is(".hover")){g.hide("fast")}});j.unbind("click").bind("click",function(u){var v=j.offset(),s=u.pageX-v.left;s=Math.round((s*100)/q.settings.width);var t="rgba(0,0,0, 1)",r=999999999999;a.each(l,function(w,x){if((parseInt(x[0])<s)&&(s-parseInt(x[0])<r)){r=s-parseInt(x[0]);t=x[1]}else{if((parseInt(x[0])>s)&&(parseInt(x[0])-s<r)){r=parseInt(x[0])-s;t=x[1]}}});l.push([s+"%",t]);l.sort(q._sortByPosition);q._render();a.each(l,function(w,x){if(x[0]==s+"%"){q._selectPoint(i.find(".point:eq("+w+")"),false)}})});this.pointEvents()};this.pointEvents=function(){var q=this;m.delegate(".themify-color-picker","keyup",function(){var t=a(this).val();if(!t){t="fff"}var s=q.hexToRgb(t);if(s){var r=a(this).data("opacity");if(typeof r==="undefined"){r=1}a(this).closest(".ThemifyGradient").find(".themify_current_point").css("backgroundColor","rgba("+s.r+","+s.g+","+s.b+","+r+")");q._renderCanvas()}});m.find(".point-position").bind("keyup focusout",function(s){var r=parseInt(a.trim(a(this).val()));if(isNaN(r)){r=0}else{if(r<0){r=Math.abs(r)}else{if(r>=98){r=98}}}if(s.type!=="focusout"){r=Math.round((r*q.settings.width)/100);a(this).closest(".ThemifyGradient").find(".themify_current_point").css("left",r);q._renderCanvas()}else{a(this).val(r)}})};this._render=function(){this._initGradientPoints();this._renderCanvas()};this._initGradientPoints=function(){var q=this;i.empty();a.each(l,function(r,s){i.append('<div class="point" style="background-color: '+s[1]+"; left:"+(parseInt(s[0])*q.settings.width)/100+'px;"></div>')});i.find(".point").css("width",this.settings.point+"px").css("height",this.settings.point+"px").mouseup(function(){q._selectPoint(this,false)}).draggable({axis:"x",containment:"parent",start:function(s,t){var r=a(t.helper[0]);r.find(".minicolors-swatch").trigger("mousedown.minicolors")},stop:function(s,t){var r=a(t.helper[0]);r.find(".minicolors-swatch").trigger("mousedown.minicolors")},drag:function(r,s){q._selectPoint(this,true);q._renderCanvas()}})};this.hexToRgb=function(s){var r=/^#?([a-f\d])([a-f\d])([a-f\d])$/i;s=s.replace(r,function(u,w,v,t){return w+w+v+v+t+t});var q=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(s);return q?{r:parseInt(q[1],16),g:parseInt(q[2],16),b:parseInt(q[3],16)}:null};this._selectPoint=function(v,x){var s=this;n=a(v);n.parent().children().removeClass("themify_current_point");n.addClass("themify_current_point");var r=n.css("backgroundColor"),q=parseInt(n.css("left"));q=Math.round((q/this.settings.width)*100);r=r.substr(4,r.length);r=r.substr(0,r.length-1);m.find(".point-color div").remove();var w=c.find(".themify-color-picker");if(w.length<1){w=a('<input type="text" class="themify-color-picker" />');w.appendTo(c).minicolors({opacity:true,change:function(A,z){var y=s.hexToRgb(A);n.css("backgroundColor","rgba("+y.r+","+y.g+","+y.b+","+z+")");s._renderCanvas()}})}var u=n.css("backgroundColor").replace(/^rgba?\(|\s+|\)$/g,"").split(","),t=u.length===4?u.pop():1;w.val(this._rgbToHex(u)).attr("data-opacity",t).minicolors("settings",{value:this._rgbToHex(u)});k.val(q);h.unbind("click").bind("click",function(){if(l.length>1){l.splice(n.index(),1);s._render();m.find(".gradient-pointer-info").hide("fast")}return false});m.find(".gradient-pointer-info").css("marginLeft",parseInt(n.css("left"))-30+"px").show("fast",function(){if(!x){w.prev(".minicolors-swatch").trigger("mousedown.minicolors")}})};this._renderCanvas=function(){var q=this;l=new Array();m.find(".point").each(function(t,u){var r=Math.round((parseInt(a(u).css("left"))/q.settings.width)*100);var s=a(u).css("backgroundColor");l.push([r+"%",s])});l.sort(q._sortByPosition);this._renderToCanvas();this.settings.onChange(this.getString(),this.getCSS(),this.getArray())};this._renderToCanvas=function(){var q=b.createLinearGradient(0,0,this.settings.width,0);a.each(l,function(r,s){q.addColorStop(parseInt(s[0])/100,s[1])});b.clearRect(0,0,this.settings.width,this.settings.height);b.fillStyle=q;b.fillRect(0,0,this.settings.width,this.settings.height);this.settings.onChange(this.getString(),this.getCSS(),this.getArray())};this._getGradientFromString=function(s){var q=new Array(),r=s.split("|");a.each(r,function(v,w){var t;if((w.substr(w.indexOf("%")-3,w.indexOf("%"))=="100")||(w.substr(w.indexOf("%")-3,w.indexOf("%"))=="100%")){t="100%"}else{if(w.indexOf("%")>1){t=parseInt(w.substr(w.indexOf("%")-2,w.indexOf("%")));t+="%"}else{t=parseInt(w.substr(w.indexOf("%")-1,w.indexOf("%")));t+="%"}}var u=w.replace(t,"");q.push([t,u])});return q};this._rgbToHex=function(r){var t=r[0],s=r[1],u=r[2];function q(v){v=parseInt(v,10);if(isNaN(v)){return"00"}v=Math.max(0,Math.min(v,255));return"0123456789ABCDEF".charAt((v-v%16)/16)+"0123456789ABCDEF".charAt(v%16)}return"#"+q(t)+q(s)+q(u)};this._sortByPosition=function(r,q){if(parseInt(r[0])<parseInt(q[0])){return -1}if(parseInt(r[0])>parseInt(q[0])){return 1}return 0};this._base64=function(t){var r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",q="",A,y,w,z,x,v,u,s=0;while(s<t.length){A=t.charCodeAt(s++);y=t.charCodeAt(s++);w=t.charCodeAt(s++);z=A>>2;x=((A&3)<<4)|(y>>4);v=((y&15)<<2)|(w>>6);u=w&63;if(isNaN(y)){v=u=64}else{if(isNaN(w)){u=64}}q+=r.charAt(z)+r.charAt(x)+r.charAt(v)+r.charAt(u)}return q};return this.__constructor()};a.fn.ThemifyGradient=function(b){return this.each(function(){if(a(this).data("ThemifyGradient")===undefined){var c=new a.ThemifyGradient(this,b);a(this).data("ThemifyGradient",c)}})}})(jQuery);